GNU bug report logs - #39085
[PATCH v2] doc: Add booting instructions for Libreboot.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Wiktor Żelazny <wz@HIDDEN>; Keywords: patch; merged with #39083; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 39085-done <at> debbugs.gnu.org:


Received: (at 39085-done) by debbugs.gnu.org; 17 Jan 2020 16:33:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 11:33:20 2020
Received: from localhost ([127.0.0.1]:40023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isUYi-0002Z9-Lb
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 11:33:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1isUYh-0002Yu-4Z
 for 39085-done <at> debbugs.gnu.org; Fri, 17 Jan 2020 11:33:19 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34457)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1isUYW-00052k-VL; Fri, 17 Jan 2020 11:33:09 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=51336 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1isUYW-0003JB-1L; Fri, 17 Jan 2020 11:33:08 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
Subject: Re: [bug#39085] [PATCH v2] doc: Add booting instructions for
 Libreboot.
References: <20200111121406.430c9b92@HIDDEN>
 <20200111113005.23692-1-wz@HIDDEN>
Date: Fri, 17 Jan 2020 17:33:06 +0100
In-Reply-To: <20200111113005.23692-1-wz@HIDDEN> ("Wiktor
 \=\?utf-8\?Q\?\=C5\=BBelazny\=22's\?\=
 message of "Sat, 11 Jan 2020 12:30:05 +0100")
Message-ID: <87wo9qyrel.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39085-done
Cc: 39085-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Wiktor =C5=BBelazny <wz@HIDDEN> skribis:

> * doc/guix.texi (Booting): Mention the relevant command for USB.
>
> Instructions for DVD and for Coreboot are missing.

Applied, thanks!

Ludo=E2=80=99.




Notification sent to Wiktor Żelazny <wz@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 39085-done <at> debbugs.gnu.org:


Received: (at 39085-done) by debbugs.gnu.org; 17 Jan 2020 16:33:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 11:33:20 2020
Received: from localhost ([127.0.0.1]:40023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isUYi-0002Z9-Lb
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 11:33:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1isUYh-0002Yu-4Z
 for 39085-done <at> debbugs.gnu.org; Fri, 17 Jan 2020 11:33:19 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34457)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1isUYW-00052k-VL; Fri, 17 Jan 2020 11:33:09 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=51336 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1isUYW-0003JB-1L; Fri, 17 Jan 2020 11:33:08 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
Subject: Re: [bug#39085] [PATCH v2] doc: Add booting instructions for
 Libreboot.
References: <20200111121406.430c9b92@HIDDEN>
 <20200111113005.23692-1-wz@HIDDEN>
Date: Fri, 17 Jan 2020 17:33:06 +0100
In-Reply-To: <20200111113005.23692-1-wz@HIDDEN> ("Wiktor
 \=\?utf-8\?Q\?\=C5\=BBelazny\=22's\?\=
 message of "Sat, 11 Jan 2020 12:30:05 +0100")
Message-ID: <87wo9qyrel.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39085-done
Cc: 39085-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Wiktor =C5=BBelazny <wz@HIDDEN> skribis:

> * doc/guix.texi (Booting): Mention the relevant command for USB.
>
> Instructions for DVD and for Coreboot are missing.

Applied, thanks!

Ludo=E2=80=99.




Notification sent to Wiktor Żelazny <wz@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Merged 39083 39085. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jan 2020 11:30:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 06:30:32 2020
Received: from localhost ([127.0.0.1]:55457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqEyO-0000Y3-6W
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 06:30:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:36155)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1iqEyJ-0000Xp-LD
 for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 06:30:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37239)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <wz@HIDDEN>) id 1iqEyI-0004bP-H5
 for guix-patches@HIDDEN; Sat, 11 Jan 2020 06:30:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wz@HIDDEN>) id 1iqEyH-00010q-7K
 for guix-patches@HIDDEN; Sat, 11 Jan 2020 06:30:26 -0500
Received: from freeshell.de ([2a01:360:106::2]:59634)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <wz@HIDDEN>) id 1iqEyH-0000jr-0H
 for guix-patches@HIDDEN; Sat, 11 Jan 2020 06:30:25 -0500
From: =?UTF-8?q?Wiktor=20=C5=BBelazny?= <wz@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH v2] doc: Add booting instructions for Libreboot.
Date: Sat, 11 Jan 2020 12:30:05 +0100
Message-Id: <20200111113005.23692-1-wz@HIDDEN>
In-Reply-To: <20200111121406.430c9b92@HIDDEN>
References: <20200111121406.430c9b92@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:360:106::2
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* doc/guix.texi (Booting): Mention the relevant command for USB.

Instructions for DVD and for Coreboot are missing.
---
 doc/guix.texi | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index 3693bb54b6..6a0b736414 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -69,6 +69,7 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
 Copyright @copyright{} 2019 Kyle Andrews@*
 Copyright @copyright{} 2019 Alex Griffin@*
 Copyright @copyright{} 2019 Guillaume Le Vaillant@*
+Copyright @copyright{} 2020 Wiktor =C5=BBelazny@*
=20
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -2001,6 +2002,8 @@ Access to @file{/dev/srX} usually requires root pri=
vileges.
 Once this is done, you should be able to reboot the system and boot from
 the USB stick or DVD.  The latter usually requires you to get in the
 BIOS or UEFI boot menu, where you can choose to boot from the USB stick.
+In order to boot from Libreboot, switch to the command mode by pressing
+the @kbd{c} key and type @command{search_grub usb}.
=20
 @xref{Installing Guix in a VM}, if, instead, you would like to install
 Guix System in a virtual machine (VM).
--=20
2.24.1





Acknowledgement sent to Wiktor Żelazny <wz@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39085; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jan 2020 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.